html {
    font-family: sans-serif;
    color: #020202;
}
h1, h2, h3 {
    font-family: "Libre Baskerville", serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
}
h1 {
    font-size: 36px;
}
.burger {
    height: 50px;
    width: 50px;
    position: absolute;
    top: 0;
    right: 0;
    padding: 0;
    display: block;
    cursor: pointer;
    border: unset;
    background: unset;
    z-index: 100;
    .lines {
        height: 3px;
        width: 30px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: black;
        padding: 0;
        transition: 100ms;
        &:before {
            height: 3px;
            width: 30px;
            position: absolute;
            top: -10px;
            left: 0;
            content: "";
            background-color: black;
            transition: 100ms; 
        }
        &:after {
            height: 3px;
            width: 30px;
            position: absolute;
            bottom: -10px;
            left: 0;
            content: "";
            background-color: black;
            transition: 100ms;
        }
    }
    &.open {
        .lines {
            background-color: transparent;
            &:before {
                /* transform: translate(5px, 0) rotateZ(45deg); */
                transform: rotateZ(45deg);
                transform-origin: 0% 50%;
                background-color: #fff;
            }
            &:after {
                /* transform: translate(5px, 0) rotateZ(-45deg); */
                transform: rotateZ(-45deg);
                transform-origin: 0% 50%;
                background-color: #fff;
    
            }
        }
        +.menu {
            display: block !important;
        }
    }
}

header {
    display: block;
    margin-top: 20px;
    padding: 0 20px;
    max-width: 1440px;
    margin: 20px auto 0 auto;

    & h1 {
        order: 1;
        text-align: center;
        margin: 20px auto;
        flex: 0 0 100%;
    }
    .logo {
        width: 100px;
        aspect-ratio: 1;
        order: 0;
        margin: 20px auto;
        display: block;
        background: #e7eed1;
        border-radius: 100px;
        padding: 20px;
    }
    .social {
        order: 2;
        flex: 0 0 100%;
    }
    .navigation {
        & ul {
            list-style: none;
            padding: 0;
            & li {
                & a {
                    padding: 10px 20px;
                    display: block;
                    &:hover {
                        background-color: #e7eed1;
                        color: #020202;
                    }
                }
            }
        }
        .menu {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            background-color: white;
            margin: 0 auto;
            padding-top: 20px;
            padding-bottom: 20px;
            background-color: #020202;
            a {
                color: #fff;
                font-size: 18px;
                text-transform: uppercase;
                text-decoration: none;
                transition: 100ms;
            }
        }
    }
}
footer {
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
    padding: 0 0 20px 0;
    .bottom-links {
        margin: 10px 0;
        & ul {
            list-style: none;
            padding: unset;
            margin: unset;
            & a {
                text-decoration: none;
                display: block;
                padding: 5px 10px;
                text-align: center;
                margin: 5px 0;
                font-size: 16px;
            }
        }
    }
    .copy {
        text-align: center;
        flex: 0 0 100%;
    }
    .social {
        flex: 0 0 100%;
    }
}
.social {
    & ul {
        list-style: none;
        display: flex;
        justify-content: center;
        padding: 0;
        & a {
            height: 30px;
            width: 30px;
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: #e7eed1;
            border-radius: 100px;
            padding: 5px;
            & img {
                object-fit: contain;
                object-position: center;
                max-width: 100%;
            }
        }
    }
}
.video-container {
    max-width: 1440px;
    margin: 0 auto;
    aspect-ratio: 1920 / 1080;
    position: relative;
    & iframe {
        margin: 0 auto;
        width: 100%;
        height: 100%;
        display: block;
        border: unset;
        position: absolute;
    }
}

@media screen and (min-width: 768px) {
    header {
        display: flex;
        flex-flow: row wrap;
        margin-bottom: 20px;
        .navigation {
            order: 2;
            margin: 0;
            width: 100%;
            .burger {
                display: none;
                +.menu {
                    display: flex !important;
                }
            }
            .menu {
                display: flex !important;
                justify-content: center;
                background-color: #fff;
                position: static;
                & a {
                    background-color: transparent;
                    color: #222;
                    border-radius: 100px;
                    text-transform: unset;
                    font-size: 18px;
                }
            }
        }
    }
}

@media screen and (min-width: 1024px) {
    header {
        justify-content: center;
        align-items: center;
        gap: 20px;
        .logo {
            margin: 0;
        }
        h1 {
            flex: 0 1 auto;
            margin: 0;
        }
    }
}

@media screen and (min-width: 1200px) {
    header {
        h1 {
            flex: 1 1 auto;
            text-align: left;
        }
        .navigation {
            width: unset;
            
        }

    }
    main {
        background-color: #020202;
        .video-container {
            max-width: 1440px;
            margin: 0 auto;    
        }
    }
}